<template>
  <section id="mxv-intro" class="column relative-position bg-white">
    <main>
      <header><h1>Masies <span style="font-size: 1em">x</span> Viure</h1></header>
      <img
        class="img-fluid"
        src="~assets/img/resources/houses/vall-major.jpeg"
        spinner-color="white"
      />

      <a class="flex items-center text-white absolute-bottom-right q-ma-md text-decoration-none" target="_blank" href="https://www.vallmajor.cat/">
        <q-icon
          size="sm"
          name="las la-camera"
        />
        <span class="q-ml-xs">
          Vall Major
        </span>
      </a>
    </main>

    <div class="hero-text text-center">
      <div class="container">
        <h1 class="title-h1">{{ $t('home.intro.title') }}</h1>
        <p class="lead">{{ $t('home.intro.subtitle') }}</p>
        <p class="lead">{{ $t('home.intro.subtitle2') }}</p>
      </div>
    </div>

    <DownArrowSection :hash="'mxv-features'"/>

  </section>
</template>

<script>
  import DownArrowSection from '@/components/DownArrowSection'

  export default {
    name: "IntroSection",
    components: {
      DownArrowSection
    }
  }
</script>

<style scoped lang="stylus">
#mxv-intro
  background: #e3e3e3
  margin-bottom: 0
  main
    position: relative
    line-height: 0
  main > img
    @media screen and (min-width: 1200px)
      max-height: 900px
      width: 100%
  main > header
    width: 100%
    position: absolute
    left: 0px
    bottom: 0px
    right: 20px
    color: #fff
    text-align: center

    @media screen and (min-width: 576px)
      //border: 2px solid orange
      text-align: right
      padding: 0 30px

    @media screen and (min-width: 768px)
      font-size: 3em
      top: 50%
      margin-top: -112px
      bottom: 0
      position: absolute

    h1
      font-family: 'ChalkPaint'
      font-size: 3em
      position: relative
      margin: 0
      @media screen and (min-width: 768px)
        width: 273px
        font-size: 2em
        line-height: 0.7em
        padding: 10px
        text-align: center
        margin: auto
        border: 2px solid white
        background-color: #a9a9a975
        ::after
          position: absolute
          top: -10px
          left: -10px
          right: -10px
          bottom: -10px
          margin: auto
          border: 4px solid #ffffff
          content: ''
      @media screen and (min-width: 992px)
        border: 2px solid white

  .hero-text
    bottom: 0
    background-color: #fff
    width: 100%
    padding: 30px 10px

</style>
